Package org.eclipse.rdf4j.common.concurrent.locks.diagnostics

## Enum LockDiagnostics

- java.lang.Object
- - java.lang.Enum<LockDiagnostics>
  - - org.eclipse.rdf4j.common.concurrent.locks.diagnostics.LockDiagnostics

- All Implemented Interfaces:
    `Serializable`, `Comparable<LockDiagnostics>`

      public enum LockDiagnostics
      extends Enum<LockDiagnostics>

  Configuration options for diagnostic features of the ReadWriteLockManager implementations to help debug locking issues.
  Author:
    Håvard M. Ottestad

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `detectStalledOrDeadlock` |
    `releaseAbandoned` |
    `stackTrace` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LockDiagnostics[]` | `fromLegacyTracking​(boolean trackLocks)` |
    `static LockDiagnostics` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LockDiagnostics[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### releaseAbandoned

          public static final LockDiagnostics releaseAbandoned

    - #### detectStalledOrDeadlock

          public static final LockDiagnostics detectStalledOrDeadlock

    - #### stackTrace

          public static final LockDiagnostics stackTrace

  - ### Method Detail

    - #### values

          public static LockDiagnostics[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LockDiagnostics c : LockDiagnostics.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LockDiagnostics valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromLegacyTracking

          public static LockDiagnostics[] fromLegacyTracking​(boolean trackLocks)